{{ $context := .context }}
{{ $currentPage := .currentPage }}

{{ with $context }}
  {{ if.HasChildren }}
    <li class="nav-item dropdown {{ if $currentPage.HasMenuCurrent "main" . }}active{{ end }}">
      <a class="nav-link dropdown-toggle" href="http://example.com" id="navbarDropdownMenuLink" data-toggle="dropdown">{{ .Name }}</a>
      <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
        {{ range .Children }}
          <a class="dropdown-item" href="{{ .URL }}" {{ if strings.HasPrefix .URL "https" }} target="_blank"{{ end }}>{{ .Name }}</a>
        {{ end }}
      </div>
    </li>
  {{ else }}
    <!-- Absolute URLs always get target=blank -->
    <li class="nav-item  {{ if $currentPage.IsMenuCurrent "main" . }}active{{ end }}"><a class="nav-link" href="{{ .URL | absURL }}" {{ if strings.HasPrefix .URL "https" }} target="_blank"{{ end }}>{{ .Name }} <span class="sr-only">(current)</span></a></li>
  {{ end }}
{{ end }}
